%define anolis_release 2

Name:           perl-IO-Zlib
Epoch:          2
Version:        1.14
Release:        %{anolis_release}%{?dist}
Summary:        Perl IO:: style interface to Compress::Zlib
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/IO-Zlib
Source0:        https://cpan.metacpan.org/authors/id/T/TO/TOMHUGHES/IO-Zlib-%{version}.tar.gz

BuildRequires:  make coreutils
BuildRequires:  perl-interpreter perl-generators
BuildRequires:  perl(warnings) perl(strict)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76

BuildRequires:  perl(Fcntl) perl(Carp)
BuildRequires:  perl(:VERSION) >= 5.6
BuildRequires:  perl(Compress::Zlib) >= 2
BuildRequires:  gzip

BuildRequires:  perl(Symbol)
BuildRequires:  perl(Tie::Handle) perl(IO::Handle)

Requires:       perl(IO::Handle) perl(Compress::Zlib) >= 2
Requires:       gzip    

BuildArch:      noarch

%description
This is the IO::Zlib module package for perl5.

This modules provides an IO:: style interface to the Compress::Zlib 
package. The main advantage is that you can use an IO::Zlib object in 
much the same way as an IO::File object so you can have common code 
that doesn't know which sort of file it is using.

%package        doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n IO-Zlib-%{version}

%build
perl Makefile.PL  NO_PERLLOCAL=1 NO_PACKLIST=1 INSTALLDIRS=vendor
%make_build

%install
%make_install
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files doc
%doc README.md ChangeLog 

%changelog
* Fri Apr 14 2023 Guyu Wang <guyu.wgy@linux.alibaba.com> - 2:1.14-2
- Optimise spec file

* Tue Feb 07 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 2:1.14-1
- remove versioned MODULE_COMPAT_ requires
- update to version 1.14

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2:1.11-2
- rebuild with perl 5.36.0

* Wed Apr 27 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2:1.11-1
- init from upstream
